Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.style
Class StandardNames

    java.lang.Object
      net.sf.saxon.style.StandardNames

public abstract class StandardNames
extends java.lang.Object

Field Summary
`static java.lang.String` | `ALPHANUMERIC`
`static java.lang.String` | `ARCHIVE`
`static java.lang.String` | `AS`
`static java.lang.String` | `BYTE_ORDER_MARK`
`static java.lang.String` | `CASE_ORDER`
`static java.lang.String` | `CDATA_SECTION_ELEMENTS`
`static java.lang.String` | `CHARACTER`
`static java.lang.String` | `CLASS`
`static java.lang.String` | `COLLATION`
`static java.lang.String` | `COPY_NAMESPACES`
`static java.lang.String` | `COUNT`
`static java.lang.String` | `DATA_TYPE`
`static java.lang.String` | `DECIMAL_SEPARATOR`
`static java.lang.String` | `DECOMPOSITION`
`static java.lang.String` | `DEFAULT`
`static java.lang.String` | `DEFAULT_COLLATION`
`static java.lang.String` | `DEFAULT_VALIDATION`
`static int` | `DFLT`
`static java.lang.String` | `DIGIT`
`static java.lang.String` | `DISABLE_OUTPUT_ESCAPING`
`static java.lang.String` | `DOCTYPE_PUBLIC`
`static java.lang.String` | `DOCTYPE_SYSTEM`
`static java.lang.String` | `ELEMENTS`
`static java.lang.String` | `ENCODING`
`static java.lang.String` | `ESCAPE_URI_ATTRIBUTES`
`static java.lang.String` | `EXCLUDE_RESULT_PREFIXES`
`static java.lang.String` | `EXTENSION_ELEMENT_PREFIXES`
`static java.lang.String` | `FLAGS`
`static java.lang.String` | `FORMAT`
`static java.lang.String` | `FROM`
`static java.lang.String` | `GROUP_ADJACENT`
`static java.lang.String` | `GROUP_BY`
`static java.lang.String` | `GROUP_ENDING_WITH`
`static java.lang.String` | `GROUP_STARTING_WITH`
`static java.lang.String` | `GROUPING_SEPARATOR`
`static java.lang.String` | `GROUPING_SIZE`
`static java.lang.String` | `HREF`
`static java.lang.String` | `ID`
`static java.lang.String` | `IGNORE_CASE`
`static java.lang.String` | `IGNORE_MODIFIERS`
`static java.lang.String` | `IGNORE_SYMBOLS`
`static java.lang.String` | `IGNORE_WIDTH`
`static java.lang.String` | `IMPLEMENTS_PREFIX`
`static java.lang.String` | `INCLUDE_CONTENT_TYPE`
`static java.lang.String` | `INDENT`
`static java.lang.String` | `INFINITY`
`static java.lang.String` | `INHERIT_NAMESPACES`
`static java.lang.String` | `INPUT_TYPE_ANNOTATIONS`
`static java.lang.String` | `LANG`
`static java.lang.String` | `LANGUAGE`
`static java.lang.String` | `LETTER_VALUE`
`static java.lang.String` | `LEVEL`
`static java.lang.String` | `MATCH`
`static java.lang.String` | `MEDIA_TYPE`
`static java.lang.String` | `METHOD`
`static java.lang.String` | `MINUS_SIGN`
`static java.lang.String` | `MODE`
`static java.lang.String` | `NAME`
`static java.lang.String` | `NAMESPACE`
`static java.lang.String` | `NAN`
`static java.lang.String` | `NORMALIZATION_FORM`
`static java.lang.String` | `OMIT_XML_DECLARATION`
`static java.lang.String` | `ORDER`
`static java.lang.String` | `ORDINAL`
`static java.lang.String` | `OUTPUT_VERSION`
`static java.lang.String` | `OVERRIDE`
`static java.lang.String` | `PATTERN_SEPARATOR`
`static java.lang.String` | `PER_MILLE`
`static java.lang.String` | `PERCENT`
`static java.lang.String` | `PRIORITY`
`static java.lang.String` | `REGEX`
`static java.lang.String` | `REQUIRED`
`static java.lang.String` | `RESULT_PREFIX`
`static java.lang.String` | `RULES`
`static int` | `SAXON`
`static int` | `SAXON_ASSIGN`
`static java.lang.String` | `SAXON_ASSIGNABLE`
`static int` | `SAXON_CALL_TEMPLATE`
`static java.lang.String` | `SAXON_CHARACTER_REPRESENTATION`
`static int` | `SAXON_COLLATION`
`static int` | `SAXON_DOCTYPE`
`static int` | `SAXON_ENTITY_REF`
`static java.lang.String` | `SAXON_EXPLAIN`
`static int` | `SAXON_IMPORT_QUERY`
`static java.lang.String` | `SAXON_INDENT_SPACES`
`static int` | `SAXON_JAVA_LANG_OBJECT`
`static java.lang.String` | `SAXON_MEMO_FUNCTION`
`static java.lang.String` | `SAXON_NEXT_IN_CHAIN`
`static java.lang.String` | `SAXON_READ_ONCE`
`static java.lang.String` | `SAXON_REQUIRE_WELL_FORMED`
`static int` | `SAXON_SCRIPT`
`static int` | `SAXON_VALIDATE_TYPE`
`static int` | `SAXON_WHILE`
`static java.lang.String` | `SCHEMA_LOCATION`
`static java.lang.String` | `SELECT`
`static java.lang.String` | `SEPARATOR`
`static java.lang.String` | `SRC`
`static java.lang.String` | `STANDALONE`
`static java.lang.String` | `STRENGTH`
`static java.lang.String` | `STRING`
`static java.lang.String` | `STYLESHEET_PREFIX`
`static java.lang.String` | `TERMINATE`
`static java.lang.String` | `TEST`
`static java.lang.String` | `TUNNEL`
`static java.lang.String` | `TYPE`
`static java.lang.String` | `UNDECLARE_PREFIXES`
`static java.lang.String` | `USE`
`static java.lang.String` | `USE_ATTRIBUTE_SETS`
`static java.lang.String` | `USE_CHARACTER_MAPS`
`static java.lang.String` | `USE_WHEN`
`static java.lang.String` | `VALIDATION`
`static java.lang.String` | `VALUE`
`static java.lang.String` | `VERSION`
`static int` | `XDT`
`static int` | `XDT_ANY_ATOMIC_TYPE`
`static int` | `XDT_DAY_TIME_DURATION`
`static int` | `XDT_NUMERIC`
`static int` | `XDT_UNTYPED`
`static int` | `XDT_UNTYPED_ATOMIC`
`static int` | `XDT_YEAR_MONTH_DURATION`
`static int` | `XML`
`static int` | `XML_BASE`
`static int` | `XML_ID`
`static int` | `XML_LANG`
`static int` | `XML_SPACE`
`static java.lang.String` | `XPATH_DEFAULT_NAMESPACE`
`static int` | `XS`
`static int` | `XS_ALL`
`static int` | `XS_ANNOTATION`
`static int` | `XS_ANY`
`static int` | `XS_ANY_ATTRIBUTE`
`static int` | `XS_ANY_SIMPLE_TYPE`
`static int` | `XS_ANY_TYPE`
`static int` | `XS_ANY_URI`
`static int` | `XS_APPINFO`
`static int` | `XS_ATTRIBUTE`
`static int` | `XS_ATTRIBUTE_GROUP`
`static int` | `XS_BASE64_BINARY`
`static int` | `XS_BOOLEAN`
`static int` | `XS_BYTE`
`static int` | `XS_CHOICE`
`static int` | `XS_COMPLEX_CONTENT`
`static int` | `XS_COMPLEX_TYPE`
`static int` | `XS_DATE`
`static int` | `XS_DATE_TIME`
`static int` | `XS_DECIMAL`
`static int` | `XS_DOCUMENTATION`
`static int` | `XS_DOUBLE`
`static int` | `XS_DURATION`
`static int` | `XS_ELEMENT`
`static int` | `XS_ENTITIES`
`static int` | `XS_ENTITY`
`static int` | `XS_ENUMERATION`
`static int` | `XS_EXTENSION`
`static int` | `XS_FIELD`
`static int` | `XS_FLOAT`
`static int` | `XS_FRACTION_DIGITS`
`static int` | `XS_G_DAY`
`static int` | `XS_G_MONTH`
`static int` | `XS_G_MONTH_DAY`
`static int` | `XS_G_YEAR`
`static int` | `XS_G_YEAR_MONTH`
`static int` | `XS_GROUP`
`static int` | `XS_HEX_BINARY`
`static int` | `XS_ID`
`static int` | `XS_IDREF`
`static int` | `XS_IDREFS`
`static int` | `XS_IMPORT`
`static int` | `XS_INCLUDE`
`static int` | `XS_INT`
`static int` | `XS_INTEGER`
`static int` | `XS_INVALID_NAME`
`static int` | `XS_KEY`
`static int` | `XS_KEYREF`
`static int` | `XS_LANGUAGE`
`static int` | `XS_LENGTH`
`static int` | `XS_LIST`
`static int` | `XS_LONG`
`static int` | `XS_MAX_EXCLUSIVE`
`static int` | `XS_MAX_INCLUSIVE`
`static int` | `XS_MAX_LENGTH`
`static int` | `XS_MIN_EXCLUSIVE`
`static int` | `XS_MIN_INCLUSIVE`
`static int` | `XS_MIN_LENGTH`
`static int` | `XS_NAME`
`static int` | `XS_NCNAME`
`static int` | `XS_NEGATIVE_INTEGER`
`static int` | `XS_NMTOKEN`
`static int` | `XS_NMTOKENS`
`static int` | `XS_NON_NEGATIVE_INTEGER`
`static int` | `XS_NON_POSITIVE_INTEGER`
`static int` | `XS_NORMALIZED_STRING`
`static int` | `XS_notation`
`static int` | `XS_NOTATION`
`static int` | `XS_PATTERN`
`static int` | `XS_POSITIVE_INTEGER`
`static int` | `XS_QNAME`
`static int` | `XS_REDEFINE`
`static int` | `XS_RESTRICTION`
`static int` | `XS_SCHEMA`
`static int` | `XS_SELECTOR`
`static int` | `XS_SEQUENCE`
`static int` | `XS_SHORT`
`static int` | `XS_SIMPLE_CONTENT`
`static int` | `XS_SIMPLE_TYPE`
`static int` | `XS_STRING`
`static int` | `XS_TIME`
`static int` | `XS_TOKEN`
`static int` | `XS_TOTAL_DIGITS`
`static int` | `XS_UNION`
`static int` | `XS_UNIQUE`
`static int` | `XS_UNSIGNED_BYTE`
`static int` | `XS_UNSIGNED_INT`
`static int` | `XS_UNSIGNED_LONG`
`static int` | `XS_UNSIGNED_SHORT`
`static int` | `XS_WHITE_SPACE`
`static int` | `XSI`
`static int` | `XSI_NIL`
`static int` | `XSI_NO_NAMESPACE_SCHEMA_LOCATION`
`static int` | `XSI_SCHEMA_LOCATION`
`static int` | `XSI_SCHEMA_LOCATION_TYPE`
`static int` | `XSI_TYPE`
`static int` | `XSL`
`static int` | `XSL_ANALYZE_STRING`
`static int` | `XSL_APPLY_IMPORTS`
`static int` | `XSL_APPLY_TEMPLATES`
`static int` | `XSL_ATTRIBUTE`
`static int` | `XSL_ATTRIBUTE_SET`
`static int` | `XSL_CALL_TEMPLATE`
`static int` | `XSL_CHARACTER_MAP`
`static int` | `XSL_CHOOSE`
`static int` | `XSL_COMMENT`
`static int` | `XSL_COPY`
`static int` | `XSL_COPY_OF`
`static int` | `XSL_DECIMAL_FORMAT`
`static int` | `XSL_DEFAULT_COLLATION`
`static java.lang.String` | `XSL_DEFAULT_COLLATION_CLARK`
`static int` | `XSL_DOCUMENT`
`static int` | `XSL_ELEMENT`
`static int` | `XSL_EXCLUDE_RESULT_PREFIXES`
`static java.lang.String` | `XSL_EXCLUDE_RESULT_PREFIXES_CLARK`
`static int` | `XSL_EXTENSION_ELEMENT_PREFIXES`
`static java.lang.String` | `XSL_EXTENSION_ELEMENT_PREFIXES_CLARK`
`static int` | `XSL_FALLBACK`
`static int` | `XSL_FOR_EACH`
`static int` | `XSL_FOR_EACH_GROUP`
`static int` | `XSL_FUNCTION`
`static int` | `XSL_IF`
`static int` | `XSL_IMPORT`
`static int` | `XSL_IMPORT_SCHEMA`
`static int` | `XSL_INCLUDE`
`static int` | `XSL_INHERIT_NAMESPACES`
`static java.lang.String` | `XSL_INHERIT_NAMESPACES_CLARK`
`static int` | `XSL_KEY`
`static int` | `XSL_MATCHING_SUBSTRING`
`static int` | `XSL_MESSAGE`
`static int` | `XSL_NAMESPACE`
`static int` | `XSL_NAMESPACE_ALIAS`
`static int` | `XSL_NEXT_MATCH`
`static int` | `XSL_NON_MATCHING_SUBSTRING`
`static int` | `XSL_NUMBER`
`static int` | `XSL_OTHERWISE`
`static int` | `XSL_OUTPUT`
`static int` | `XSL_OUTPUT_CHARACTER`
`static int` | `XSL_PARAM`
`static int` | `XSL_PERFORM_SORT`
`static int` | `XSL_PRESERVE_SPACE`
`static int` | `XSL_PROCESSING_INSTRUCTION`
`static int` | `XSL_RESULT_DOCUMENT`
`static int` | `XSL_SEQUENCE`
`static int` | `XSL_SORT`
`static int` | `XSL_STRIP_SPACE`
`static int` | `XSL_STYLESHEET`
`static int` | `XSL_TEMPLATE`
`static int` | `XSL_TEXT`
`static int` | `XSL_TRANSFORM`
`static int` | `XSL_TYPE`
`static int` | `XSL_USE_ATTRIBUTE_SETS`
`static int` | `XSL_USE_WHEN`
`static int` | `XSL_VALIDATION`
`static int` | `XSL_VALUE_OF`
`static int` | `XSL_VARIABLE`
`static int` | `XSL_VERSION`
`static java.lang.String` | `XSL_VERSION_CLARK`
`static int` | `XSL_WHEN`
`static int` | `XSL_WITH_PARAM`
`static int` | `XSL_XPATH_DEFAULT_NAMESPACE`
`static java.lang.String` | `XSL_XPATH_DEFAULT_NAMESPACE_CLARK`
`static java.lang.String` | `ZERO_DIGIT`

Method Summary
`static java.lang.String` | `getClarkName(int fingerprint)` Get the Clark form of a name, given its name code or fingerprint
`static java.lang.String` | `getDisplayName(int fingerprint)`
`static int` | `getFingerprint(java.lang.String uri, java.lang.String localName)`
`static java.lang.String` | `getLocalName(int fingerprint)`
`static java.lang.String` | `getPrefix(int fingerprint)`
`static java.lang.String` | `getURI(int fingerprint)`
`static short` | `getURICode(int fingerprint)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DFLT

    public static final int DFLT

See Also:
  Constant Field Values

### XSL

    public static final int XSL

See Also:
  Constant Field Values

### SAXON

    public static final int SAXON

See Also:
  Constant Field Values

### XML

    public static final int XML

See Also:
  Constant Field Values

### XS

    public static final int XS

See Also:
  Constant Field Values

### XDT

    public static final int XDT

See Also:
  Constant Field Values

### XSI

    public static final int XSI

See Also:
  Constant Field Values

### XSL_ANALYZE_STRING

    public static final int XSL_ANALYZE_STRING

See Also:
  Constant Field Values

### XSL_APPLY_IMPORTS

    public static final int XSL_APPLY_IMPORTS

See Also:
  Constant Field Values

### XSL_APPLY_TEMPLATES

    public static final int XSL_APPLY_TEMPLATES

See Also:
  Constant Field Values

### XSL_ATTRIBUTE

    public static final int XSL_ATTRIBUTE

See Also:
  Constant Field Values

### XSL_ATTRIBUTE_SET

    public static final int XSL_ATTRIBUTE_SET

See Also:
  Constant Field Values

### XSL_CALL_TEMPLATE

    public static final int XSL_CALL_TEMPLATE

See Also:
  Constant Field Values

### XSL_CHARACTER_MAP

    public static final int XSL_CHARACTER_MAP

See Also:
  Constant Field Values

### XSL_CHOOSE

    public static final int XSL_CHOOSE

See Also:
  Constant Field Values

### XSL_COMMENT

    public static final int XSL_COMMENT

See Also:
  Constant Field Values

### XSL_COPY

    public static final int XSL_COPY

See Also:
  Constant Field Values

### XSL_COPY_OF

    public static final int XSL_COPY_OF

See Also:
  Constant Field Values

### XSL_DECIMAL_FORMAT

    public static final int XSL_DECIMAL_FORMAT

See Also:
  Constant Field Values

### XSL_DOCUMENT

    public static final int XSL_DOCUMENT

See Also:
  Constant Field Values

### XSL_ELEMENT

    public static final int XSL_ELEMENT

See Also:
  Constant Field Values

### XSL_FALLBACK

    public static final int XSL_FALLBACK

See Also:
  Constant Field Values

### XSL_FOR_EACH

    public static final int XSL_FOR_EACH

See Also:
  Constant Field Values

### XSL_FOR_EACH_GROUP

    public static final int XSL_FOR_EACH_GROUP

See Also:
  Constant Field Values

### XSL_FUNCTION

    public static final int XSL_FUNCTION

See Also:
  Constant Field Values

### XSL_IF

    public static final int XSL_IF

See Also:
  Constant Field Values

### XSL_IMPORT

    public static final int XSL_IMPORT

See Also:
  Constant Field Values

### XSL_IMPORT_SCHEMA

    public static final int XSL_IMPORT_SCHEMA

See Also:
  Constant Field Values

### XSL_INCLUDE

    public static final int XSL_INCLUDE

See Also:
  Constant Field Values

### XSL_KEY

    public static final int XSL_KEY

See Also:
  Constant Field Values

### XSL_MATCHING_SUBSTRING

    public static final int XSL_MATCHING_SUBSTRING

See Also:
  Constant Field Values

### XSL_MESSAGE

    public static final int XSL_MESSAGE

See Also:
  Constant Field Values

### XSL_NEXT_MATCH

    public static final int XSL_NEXT_MATCH

See Also:
  Constant Field Values

### XSL_NUMBER

    public static final int XSL_NUMBER

See Also:
  Constant Field Values

### XSL_NAMESPACE

    public static final int XSL_NAMESPACE

See Also:
  Constant Field Values

### XSL_NAMESPACE_ALIAS

    public static final int XSL_NAMESPACE_ALIAS

See Also:
  Constant Field Values

### XSL_NON_MATCHING_SUBSTRING

    public static final int XSL_NON_MATCHING_SUBSTRING

See Also:
  Constant Field Values

### XSL_OTHERWISE

    public static final int XSL_OTHERWISE

See Also:
  Constant Field Values

### XSL_OUTPUT

    public static final int XSL_OUTPUT

See Also:
  Constant Field Values

### XSL_OUTPUT_CHARACTER

    public static final int XSL_OUTPUT_CHARACTER

See Also:
  Constant Field Values

### XSL_PARAM

    public static final int XSL_PARAM

See Also:
  Constant Field Values

### XSL_PERFORM_SORT

    public static final int XSL_PERFORM_SORT

See Also:
  Constant Field Values

### XSL_PRESERVE_SPACE

    public static final int XSL_PRESERVE_SPACE

See Also:
  Constant Field Values

### XSL_PROCESSING_INSTRUCTION

    public static final int XSL_PROCESSING_INSTRUCTION

See Also:
  Constant Field Values

### XSL_RESULT_DOCUMENT

    public static final int XSL_RESULT_DOCUMENT

See Also:
  Constant Field Values

### XSL_SEQUENCE

    public static final int XSL_SEQUENCE

See Also:
  Constant Field Values

### XSL_SORT

    public static final int XSL_SORT

See Also:
  Constant Field Values

### XSL_STRIP_SPACE

    public static final int XSL_STRIP_SPACE

See Also:
  Constant Field Values

### XSL_STYLESHEET

    public static final int XSL_STYLESHEET

See Also:
  Constant Field Values

### XSL_TEMPLATE

    public static final int XSL_TEMPLATE

See Also:
  Constant Field Values

### XSL_TEXT

    public static final int XSL_TEXT

See Also:
  Constant Field Values

### XSL_TRANSFORM

    public static final int XSL_TRANSFORM

See Also:
  Constant Field Values

### XSL_VALUE_OF

    public static final int XSL_VALUE_OF

See Also:
  Constant Field Values

### XSL_VARIABLE

    public static final int XSL_VARIABLE

See Also:
  Constant Field Values

### XSL_WITH_PARAM

    public static final int XSL_WITH_PARAM

See Also:
  Constant Field Values

### XSL_WHEN

    public static final int XSL_WHEN

See Also:
  Constant Field Values

### XSL_DEFAULT_COLLATION

    public static final int XSL_DEFAULT_COLLATION

See Also:
  Constant Field Values

### XSL_EXCLUDE_RESULT_PREFIXES

    public static final int XSL_EXCLUDE_RESULT_PREFIXES

See Also:
  Constant Field Values

### XSL_EXTENSION_ELEMENT_PREFIXES

    public static final int XSL_EXTENSION_ELEMENT_PREFIXES

See Also:
  Constant Field Values

### XSL_INHERIT_NAMESPACES

    public static final int XSL_INHERIT_NAMESPACES

See Also:
  Constant Field Values

### XSL_TYPE

    public static final int XSL_TYPE

See Also:
  Constant Field Values

### XSL_USE_ATTRIBUTE_SETS

    public static final int XSL_USE_ATTRIBUTE_SETS

See Also:
  Constant Field Values

### XSL_USE_WHEN

    public static final int XSL_USE_WHEN

See Also:
  Constant Field Values

### XSL_VALIDATION

    public static final int XSL_VALIDATION

See Also:
  Constant Field Values

### XSL_VERSION

    public static final int XSL_VERSION

See Also:
  Constant Field Values

### XSL_XPATH_DEFAULT_NAMESPACE

    public static final int XSL_XPATH_DEFAULT_NAMESPACE

See Also:
  Constant Field Values

### XSL_DEFAULT_COLLATION_CLARK

    public static final java.lang.String XSL_DEFAULT_COLLATION_CLARK

See Also:
  Constant Field Values

### XSL_INHERIT_NAMESPACES_CLARK

    public static final java.lang.String XSL_INHERIT_NAMESPACES_CLARK

See Also:
  Constant Field Values

### XSL_VERSION_CLARK

    public static final java.lang.String XSL_VERSION_CLARK

See Also:
  Constant Field Values

### XSL_XPATH_DEFAULT_NAMESPACE_CLARK

    public static final java.lang.String XSL_XPATH_DEFAULT_NAMESPACE_CLARK

See Also:
  Constant Field Values

### XSL_EXTENSION_ELEMENT_PREFIXES_CLARK

    public static final java.lang.String XSL_EXTENSION_ELEMENT_PREFIXES_CLARK

See Also:
  Constant Field Values

### XSL_EXCLUDE_RESULT_PREFIXES_CLARK

    public static final java.lang.String XSL_EXCLUDE_RESULT_PREFIXES_CLARK

See Also:
  Constant Field Values

### SAXON_ASSIGN

    public static final int SAXON_ASSIGN

See Also:
  Constant Field Values

### SAXON_CALL_TEMPLATE

    public static final int SAXON_CALL_TEMPLATE

See Also:
  Constant Field Values

### SAXON_COLLATION

    public static final int SAXON_COLLATION

See Also:
  Constant Field Values

### SAXON_DOCTYPE

    public static final int SAXON_DOCTYPE

See Also:
  Constant Field Values

### SAXON_ENTITY_REF

    public static final int SAXON_ENTITY_REF

See Also:
  Constant Field Values

### SAXON_IMPORT_QUERY

    public static final int SAXON_IMPORT_QUERY

See Also:
  Constant Field Values

### SAXON_SCRIPT

    public static final int SAXON_SCRIPT

See Also:
  Constant Field Values

### SAXON_VALIDATE_TYPE

    public static final int SAXON_VALIDATE_TYPE

See Also:
  Constant Field Values

### SAXON_WHILE

    public static final int SAXON_WHILE

See Also:
  Constant Field Values

### SAXON_ASSIGNABLE

    public static final java.lang.String SAXON_ASSIGNABLE

See Also:
  Constant Field Values

### SAXON_CHARACTER_REPRESENTATION

    public static final java.lang.String SAXON_CHARACTER_REPRESENTATION

See Also:
  Constant Field Values

### SAXON_EXPLAIN

    public static final java.lang.String SAXON_EXPLAIN

See Also:
  Constant Field Values

### SAXON_READ_ONCE

    public static final java.lang.String SAXON_READ_ONCE

See Also:
  Constant Field Values

### SAXON_INDENT_SPACES

    public static final java.lang.String SAXON_INDENT_SPACES

See Also:
  Constant Field Values

### SAXON_NEXT_IN_CHAIN

    public static final java.lang.String SAXON_NEXT_IN_CHAIN

See Also:
  Constant Field Values

### SAXON_REQUIRE_WELL_FORMED

    public static final java.lang.String SAXON_REQUIRE_WELL_FORMED

See Also:
  Constant Field Values

### SAXON_MEMO_FUNCTION

    public static final java.lang.String SAXON_MEMO_FUNCTION

See Also:
  Constant Field Values

### SAXON_JAVA_LANG_OBJECT

    public static final int SAXON_JAVA_LANG_OBJECT

See Also:
  Constant Field Values

### XML_BASE

    public static final int XML_BASE

See Also:
  Constant Field Values

### XML_SPACE

    public static final int XML_SPACE

See Also:
  Constant Field Values

### XML_LANG

    public static final int XML_LANG

See Also:
  Constant Field Values

### XML_ID

    public static final int XML_ID

See Also:
  Constant Field Values

### ALPHANUMERIC

    public static final java.lang.String ALPHANUMERIC

See Also:
  Constant Field Values

### ARCHIVE

    public static final java.lang.String ARCHIVE

See Also:
  Constant Field Values

### AS

    public static final java.lang.String AS

See Also:
  Constant Field Values

### BYTE_ORDER_MARK

    public static final java.lang.String BYTE_ORDER_MARK

See Also:
  Constant Field Values

### CASE_ORDER

    public static final java.lang.String CASE_ORDER

See Also:
  Constant Field Values

### CDATA_SECTION_ELEMENTS

    public static final java.lang.String CDATA_SECTION_ELEMENTS

See Also:
  Constant Field Values

### CHARACTER

    public static final java.lang.String CHARACTER

See Also:
  Constant Field Values

### CLASS

    public static final java.lang.String CLASS

See Also:
  Constant Field Values

### COLLATION

    public static final java.lang.String COLLATION

See Also:
  Constant Field Values

### COPY_NAMESPACES

    public static final java.lang.String COPY_NAMESPACES

See Also:
  Constant Field Values

### COUNT

    public static final java.lang.String COUNT

See Also:
  Constant Field Values

### DATA_TYPE

    public static final java.lang.String DATA_TYPE

See Also:
  Constant Field Values

### DECIMAL_SEPARATOR

    public static final java.lang.String DECIMAL_SEPARATOR

See Also:
  Constant Field Values

### DECOMPOSITION

    public static final java.lang.String DECOMPOSITION

See Also:
  Constant Field Values

### DEFAULT

    public static final java.lang.String DEFAULT

See Also:
  Constant Field Values

### DEFAULT_COLLATION

    public static final java.lang.String DEFAULT_COLLATION

See Also:
  Constant Field Values

### DEFAULT_VALIDATION

    public static final java.lang.String DEFAULT_VALIDATION

See Also:
  Constant Field Values

### DIGIT

    public static final java.lang.String DIGIT

See Also:
  Constant Field Values

### DISABLE_OUTPUT_ESCAPING

    public static final java.lang.String DISABLE_OUTPUT_ESCAPING

See Also:
  Constant Field Values

### DOCTYPE_PUBLIC

    public static final java.lang.String DOCTYPE_PUBLIC

See Also:
  Constant Field Values

### DOCTYPE_SYSTEM

    public static final java.lang.String DOCTYPE_SYSTEM

See Also:
  Constant Field Values

### ELEMENTS

    public static final java.lang.String ELEMENTS

See Also:
  Constant Field Values

### ESCAPE_URI_ATTRIBUTES

    public static final java.lang.String ESCAPE_URI_ATTRIBUTES

See Also:
  Constant Field Values

### ENCODING

    public static final java.lang.String ENCODING

See Also:
  Constant Field Values

### EXCLUDE_RESULT_PREFIXES

    public static final java.lang.String EXCLUDE_RESULT_PREFIXES

See Also:
  Constant Field Values

### EXTENSION_ELEMENT_PREFIXES

    public static final java.lang.String EXTENSION_ELEMENT_PREFIXES

See Also:
  Constant Field Values

### FLAGS

    public static final java.lang.String FLAGS

See Also:
  Constant Field Values

### FORMAT

    public static final java.lang.String FORMAT

See Also:
  Constant Field Values

### FROM

    public static final java.lang.String FROM

See Also:
  Constant Field Values

### GROUP_ADJACENT

    public static final java.lang.String GROUP_ADJACENT

See Also:
  Constant Field Values

### GROUP_BY

    public static final java.lang.String GROUP_BY

See Also:
  Constant Field Values

### GROUP_ENDING_WITH

    public static final java.lang.String GROUP_ENDING_WITH

See Also:
  Constant Field Values

### GROUP_STARTING_WITH

    public static final java.lang.String GROUP_STARTING_WITH

See Also:
  Constant Field Values

### GROUPING_SEPARATOR

    public static final java.lang.String GROUPING_SEPARATOR

See Also:
  Constant Field Values

### GROUPING_SIZE

    public static final java.lang.String GROUPING_SIZE

See Also:
  Constant Field Values

### HREF

    public static final java.lang.String HREF

See Also:
  Constant Field Values

### ID

    public static final java.lang.String ID

See Also:
  Constant Field Values

### IGNORE_CASE

    public static final java.lang.String IGNORE_CASE

See Also:
  Constant Field Values

### IGNORE_MODIFIERS

    public static final java.lang.String IGNORE_MODIFIERS

See Also:
  Constant Field Values

### IGNORE_SYMBOLS

    public static final java.lang.String IGNORE_SYMBOLS

See Also:
  Constant Field Values

### IGNORE_WIDTH

    public static final java.lang.String IGNORE_WIDTH

See Also:
  Constant Field Values

### IMPLEMENTS_PREFIX

    public static final java.lang.String IMPLEMENTS_PREFIX

See Also:
  Constant Field Values

### INCLUDE_CONTENT_TYPE

    public static final java.lang.String INCLUDE_CONTENT_TYPE

See Also:
  Constant Field Values

### INDENT

    public static final java.lang.String INDENT

See Also:
  Constant Field Values

### INFINITY

    public static final java.lang.String INFINITY

See Also:
  Constant Field Values

### INHERIT_NAMESPACES

    public static final java.lang.String INHERIT_NAMESPACES

See Also:
  Constant Field Values

### INPUT_TYPE_ANNOTATIONS

    public static final java.lang.String INPUT_TYPE_ANNOTATIONS

See Also:
  Constant Field Values

### LANG

    public static final java.lang.String LANG

See Also:
  Constant Field Values

### LANGUAGE

    public static final java.lang.String LANGUAGE

See Also:
  Constant Field Values

### LETTER_VALUE

    public static final java.lang.String LETTER_VALUE

See Also:
  Constant Field Values

### LEVEL

    public static final java.lang.String LEVEL

See Also:
  Constant Field Values

### MATCH

    public static final java.lang.String MATCH

See Also:
  Constant Field Values

### MEDIA_TYPE

    public static final java.lang.String MEDIA_TYPE

See Also:
  Constant Field Values

### METHOD

    public static final java.lang.String METHOD

See Also:
  Constant Field Values

### MINUS_SIGN

    public static final java.lang.String MINUS_SIGN

See Also:
  Constant Field Values

### MODE

    public static final java.lang.String MODE

See Also:
  Constant Field Values

### NAME

    public static final java.lang.String NAME

See Also:
  Constant Field Values

### NAMESPACE

    public static final java.lang.String NAMESPACE

See Also:
  Constant Field Values

### NAN

    public static final java.lang.String NAN

See Also:
  Constant Field Values

### NORMALIZATION_FORM

    public static final java.lang.String NORMALIZATION_FORM

See Also:
  Constant Field Values

### OMIT_XML_DECLARATION

    public static final java.lang.String OMIT_XML_DECLARATION

See Also:
  Constant Field Values

### ORDER

    public static final java.lang.String ORDER

See Also:
  Constant Field Values

### ORDINAL

    public static final java.lang.String ORDINAL

See Also:
  Constant Field Values

### OUTPUT_VERSION

    public static final java.lang.String OUTPUT_VERSION

See Also:
  Constant Field Values

### OVERRIDE

    public static final java.lang.String OVERRIDE

See Also:
  Constant Field Values

### PATTERN_SEPARATOR

    public static final java.lang.String PATTERN_SEPARATOR

See Also:
  Constant Field Values

### PERCENT

    public static final java.lang.String PERCENT

See Also:
  Constant Field Values

### PER_MILLE

    public static final java.lang.String PER_MILLE

See Also:
  Constant Field Values

### PRIORITY

    public static final java.lang.String PRIORITY

See Also:
  Constant Field Values

### REGEX

    public static final java.lang.String REGEX

See Also:
  Constant Field Values

### REQUIRED

    public static final java.lang.String REQUIRED

See Also:
  Constant Field Values

### RESULT_PREFIX

    public static final java.lang.String RESULT_PREFIX

See Also:
  Constant Field Values

### RULES

    public static final java.lang.String RULES

See Also:
  Constant Field Values

### SCHEMA_LOCATION

    public static final java.lang.String SCHEMA_LOCATION

See Also:
  Constant Field Values

### SELECT

    public static final java.lang.String SELECT

See Also:
  Constant Field Values

### SEPARATOR

    public static final java.lang.String SEPARATOR

See Also:
  Constant Field Values

### SRC

    public static final java.lang.String SRC

See Also:
  Constant Field Values

### STANDALONE

    public static final java.lang.String STANDALONE

See Also:
  Constant Field Values

### STRENGTH

    public static final java.lang.String STRENGTH

See Also:
  Constant Field Values

### STRING

    public static final java.lang.String STRING

See Also:
  Constant Field Values

### STYLESHEET_PREFIX

    public static final java.lang.String STYLESHEET_PREFIX

See Also:
  Constant Field Values

### TERMINATE

    public static final java.lang.String TERMINATE

See Also:
  Constant Field Values

### TEST

    public static final java.lang.String TEST

See Also:
  Constant Field Values

### TUNNEL

    public static final java.lang.String TUNNEL

See Also:
  Constant Field Values

### TYPE

    public static final java.lang.String TYPE

See Also:
  Constant Field Values

### UNDECLARE_PREFIXES

    public static final java.lang.String UNDECLARE_PREFIXES

See Also:
  Constant Field Values

### USE

    public static final java.lang.String USE

See Also:
  Constant Field Values

### USE_ATTRIBUTE_SETS

    public static final java.lang.String USE_ATTRIBUTE_SETS

See Also:
  Constant Field Values

### USE_CHARACTER_MAPS

    public static final java.lang.String USE_CHARACTER_MAPS

See Also:
  Constant Field Values

### USE_WHEN

    public static final java.lang.String USE_WHEN

See Also:
  Constant Field Values

### VALIDATION

    public static final java.lang.String VALIDATION

See Also:
  Constant Field Values

### VALUE

    public static final java.lang.String VALUE

See Also:
  Constant Field Values

### VERSION

    public static final java.lang.String VERSION

See Also:
  Constant Field Values

### XPATH_DEFAULT_NAMESPACE

    public static final java.lang.String XPATH_DEFAULT_NAMESPACE

See Also:
  Constant Field Values

### ZERO_DIGIT

    public static final java.lang.String ZERO_DIGIT

See Also:
  Constant Field Values

### XS_STRING

    public static final int XS_STRING

See Also:
  Constant Field Values

### XS_BOOLEAN

    public static final int XS_BOOLEAN

See Also:
  Constant Field Values

### XS_DECIMAL

    public static final int XS_DECIMAL

See Also:
  Constant Field Values

### XS_FLOAT

    public static final int XS_FLOAT

See Also:
  Constant Field Values

### XS_DOUBLE

    public static final int XS_DOUBLE

See Also:
  Constant Field Values

### XS_DURATION

    public static final int XS_DURATION

See Also:
  Constant Field Values

### XS_DATE_TIME

    public static final int XS_DATE_TIME

See Also:
  Constant Field Values

### XS_TIME

    public static final int XS_TIME

See Also:
  Constant Field Values

### XS_DATE

    public static final int XS_DATE

See Also:
  Constant Field Values

### XS_G_YEAR_MONTH

    public static final int XS_G_YEAR_MONTH

See Also:
  Constant Field Values

### XS_G_YEAR

    public static final int XS_G_YEAR

See Also:
  Constant Field Values

### XS_G_MONTH_DAY

    public static final int XS_G_MONTH_DAY

See Also:
  Constant Field Values

### XS_G_DAY

    public static final int XS_G_DAY

See Also:
  Constant Field Values

### XS_G_MONTH

    public static final int XS_G_MONTH

See Also:
  Constant Field Values

### XS_HEX_BINARY

    public static final int XS_HEX_BINARY

See Also:
  Constant Field Values

### XS_BASE64_BINARY

    public static final int XS_BASE64_BINARY

See Also:
  Constant Field Values

### XS_ANY_URI

    public static final int XS_ANY_URI

See Also:
  Constant Field Values

### XS_QNAME

    public static final int XS_QNAME

See Also:
  Constant Field Values

### XS_NOTATION

    public static final int XS_NOTATION

See Also:
  Constant Field Values

### XS_INTEGER

    public static final int XS_INTEGER

See Also:
  Constant Field Values

### XS_NON_POSITIVE_INTEGER

    public static final int XS_NON_POSITIVE_INTEGER

See Also:
  Constant Field Values

### XS_NEGATIVE_INTEGER

    public static final int XS_NEGATIVE_INTEGER

See Also:
  Constant Field Values

### XS_LONG

    public static final int XS_LONG

See Also:
  Constant Field Values

### XS_INT

    public static final int XS_INT

See Also:
  Constant Field Values

### XS_SHORT

    public static final int XS_SHORT

See Also:
  Constant Field Values

### XS_BYTE

    public static final int XS_BYTE

See Also:
  Constant Field Values

### XS_NON_NEGATIVE_INTEGER

    public static final int XS_NON_NEGATIVE_INTEGER

See Also:
  Constant Field Values

### XS_POSITIVE_INTEGER

    public static final int XS_POSITIVE_INTEGER

See Also:
  Constant Field Values

### XS_UNSIGNED_LONG

    public static final int XS_UNSIGNED_LONG

See Also:
  Constant Field Values

### XS_UNSIGNED_INT

    public static final int XS_UNSIGNED_INT

See Also:
  Constant Field Values

### XS_UNSIGNED_SHORT

    public static final int XS_UNSIGNED_SHORT

See Also:
  Constant Field Values

### XS_UNSIGNED_BYTE

    public static final int XS_UNSIGNED_BYTE

See Also:
  Constant Field Values

### XS_NORMALIZED_STRING

    public static final int XS_NORMALIZED_STRING

See Also:
  Constant Field Values

### XS_TOKEN

    public static final int XS_TOKEN

See Also:
  Constant Field Values

### XS_LANGUAGE

    public static final int XS_LANGUAGE

See Also:
  Constant Field Values

### XS_NMTOKEN

    public static final int XS_NMTOKEN

See Also:
  Constant Field Values

### XS_NMTOKENS

    public static final int XS_NMTOKENS

See Also:
  Constant Field Values

### XS_NAME

    public static final int XS_NAME

See Also:
  Constant Field Values

### XS_NCNAME

    public static final int XS_NCNAME

See Also:
  Constant Field Values

### XS_ID

    public static final int XS_ID

See Also:
  Constant Field Values

### XS_IDREF

    public static final int XS_IDREF

See Also:
  Constant Field Values

### XS_IDREFS

    public static final int XS_IDREFS

See Also:
  Constant Field Values

### XS_ENTITY

    public static final int XS_ENTITY

See Also:
  Constant Field Values

### XS_ENTITIES

    public static final int XS_ENTITIES

See Also:
  Constant Field Values

### XS_ANY_TYPE

    public static final int XS_ANY_TYPE

See Also:
  Constant Field Values

### XS_ANY_SIMPLE_TYPE

    public static final int XS_ANY_SIMPLE_TYPE

See Also:
  Constant Field Values

### XS_INVALID_NAME

    public static final int XS_INVALID_NAME

See Also:
  Constant Field Values

### XS_ALL

    public static final int XS_ALL

See Also:
  Constant Field Values

### XS_ANNOTATION

    public static final int XS_ANNOTATION

See Also:
  Constant Field Values

### XS_ANY

    public static final int XS_ANY

See Also:
  Constant Field Values

### XS_ANY_ATTRIBUTE

    public static final int XS_ANY_ATTRIBUTE

See Also:
  Constant Field Values

### XS_APPINFO

    public static final int XS_APPINFO

See Also:
  Constant Field Values

### XS_ATTRIBUTE

    public static final int XS_ATTRIBUTE

See Also:
  Constant Field Values

### XS_ATTRIBUTE_GROUP

    public static final int XS_ATTRIBUTE_GROUP

See Also:
  Constant Field Values

### XS_CHOICE

    public static final int XS_CHOICE

See Also:
  Constant Field Values

### XS_COMPLEX_CONTENT

    public static final int XS_COMPLEX_CONTENT

See Also:
  Constant Field Values

### XS_COMPLEX_TYPE

    public static final int XS_COMPLEX_TYPE

See Also:
  Constant Field Values

### XS_DOCUMENTATION

    public static final int XS_DOCUMENTATION

See Also:
  Constant Field Values

### XS_ELEMENT

    public static final int XS_ELEMENT

See Also:
  Constant Field Values

### XS_ENUMERATION

    public static final int XS_ENUMERATION

See Also:
  Constant Field Values

### XS_EXTENSION

    public static final int XS_EXTENSION

See Also:
  Constant Field Values

### XS_FIELD

    public static final int XS_FIELD

See Also:
  Constant Field Values

### XS_FRACTION_DIGITS

    public static final int XS_FRACTION_DIGITS

See Also:
  Constant Field Values

### XS_GROUP

    public static final int XS_GROUP

See Also:
  Constant Field Values

### XS_IMPORT

    public static final int XS_IMPORT

See Also:
  Constant Field Values

### XS_INCLUDE

    public static final int XS_INCLUDE

See Also:
  Constant Field Values

### XS_KEY

    public static final int XS_KEY

See Also:
  Constant Field Values

### XS_KEYREF

    public static final int XS_KEYREF

See Also:
  Constant Field Values

### XS_LENGTH

    public static final int XS_LENGTH

See Also:
  Constant Field Values

### XS_LIST

    public static final int XS_LIST

See Also:
  Constant Field Values

### XS_MAX_EXCLUSIVE

    public static final int XS_MAX_EXCLUSIVE

See Also:
  Constant Field Values

### XS_MAX_INCLUSIVE

    public static final int XS_MAX_INCLUSIVE

See Also:
  Constant Field Values

### XS_MAX_LENGTH

    public static final int XS_MAX_LENGTH

See Also:
  Constant Field Values

### XS_MIN_EXCLUSIVE

    public static final int XS_MIN_EXCLUSIVE

See Also:
  Constant Field Values

### XS_MIN_INCLUSIVE

    public static final int XS_MIN_INCLUSIVE

See Also:
  Constant Field Values

### XS_MIN_LENGTH

    public static final int XS_MIN_LENGTH

See Also:
  Constant Field Values

### XS_notation

    public static final int XS_notation

See Also:
  Constant Field Values

### XS_PATTERN

    public static final int XS_PATTERN

See Also:
  Constant Field Values

### XS_REDEFINE

    public static final int XS_REDEFINE

See Also:
  Constant Field Values

### XS_RESTRICTION

    public static final int XS_RESTRICTION

See Also:
  Constant Field Values

### XS_SCHEMA

    public static final int XS_SCHEMA

See Also:
  Constant Field Values

### XS_SELECTOR

    public static final int XS_SELECTOR

See Also:
  Constant Field Values

### XS_SEQUENCE

    public static final int XS_SEQUENCE

See Also:
  Constant Field Values

### XS_SIMPLE_CONTENT

    public static final int XS_SIMPLE_CONTENT

See Also:
  Constant Field Values

### XS_SIMPLE_TYPE

    public static final int XS_SIMPLE_TYPE

See Also:
  Constant Field Values

### XS_TOTAL_DIGITS

    public static final int XS_TOTAL_DIGITS

See Also:
  Constant Field Values

### XS_UNION

    public static final int XS_UNION

See Also:
  Constant Field Values

### XS_UNIQUE

    public static final int XS_UNIQUE

See Also:
  Constant Field Values

### XS_WHITE_SPACE

    public static final int XS_WHITE_SPACE

See Also:
  Constant Field Values

### XDT_UNTYPED

    public static final int XDT_UNTYPED

See Also:
  Constant Field Values

### XDT_UNTYPED_ATOMIC

    public static final int XDT_UNTYPED_ATOMIC

See Also:
  Constant Field Values

### XDT_ANY_ATOMIC_TYPE

    public static final int XDT_ANY_ATOMIC_TYPE

See Also:
  Constant Field Values

### XDT_YEAR_MONTH_DURATION

    public static final int XDT_YEAR_MONTH_DURATION

See Also:
  Constant Field Values

### XDT_DAY_TIME_DURATION

    public static final int XDT_DAY_TIME_DURATION

See Also:
  Constant Field Values

### XDT_NUMERIC

    public static final int XDT_NUMERIC

See Also:
  Constant Field Values

### XSI_TYPE

    public static final int XSI_TYPE

See Also:
  Constant Field Values

### XSI_NIL

    public static final int XSI_NIL

See Also:
  Constant Field Values

### XSI_SCHEMA_LOCATION

    public static final int XSI_SCHEMA_LOCATION

See Also:
  Constant Field Values

### XSI_NO_NAMESPACE_SCHEMA_LOCATION

    public static final int XSI_NO_NAMESPACE_SCHEMA_LOCATION

See Also:
  Constant Field Values

### XSI_SCHEMA_LOCATION_TYPE

    public static final int XSI_SCHEMA_LOCATION_TYPE

See Also:
  Constant Field Values

Method Detail

### getFingerprint

    public static int getFingerprint(java.lang.String uri,
                                     java.lang.String localName)

### getLocalName

    public static java.lang.String getLocalName(int fingerprint)

### getURI

    public static java.lang.String getURI(int fingerprint)

### getURICode

    public static short getURICode(int fingerprint)

### getClarkName

    public static java.lang.String getClarkName(int fingerprint)

  Get the Clark form of a name, given its name code or fingerprint

  Returns:
    the local name if the name is in the null namespace, or "{uri}local" otherwise. The name is always interned.

### getPrefix

    public static java.lang.String getPrefix(int fingerprint)

### getDisplayName

    public static java.lang.String getDisplayName(int fingerprint)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD